Bug Hunting Session
Bug 79243 - Crop preview is wrong on RTL interface
Summary: Crop preview is wrong on RTL interface
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.4.0
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2014-05-26 06:27 UTC by Daniel Gembom
Modified: 2015-09-23 21:34 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of the issue (123.19 KB, image/png)
2014-05-26 06:27 UTC, Daniel Gembom
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Gembom 2014-05-26 06:27:13 UTC
Created attachment 99829 [details]
screenshot of the issue

Problem description: 
When cropping image, the preview doesn't appear correctly. While I'm cutting from the left the preview appears cut from the right.
I'm using Hebrew system and Hebrew UI.  
Steps to reproduce:
1. ....
2. ....
3. ....

Current behavior:

Expected behavior:

              
Operating System: Windows XP
Version: 4.3.0.0.beta1
Comment 1 Yousuf Philips (jay) (retired) 2014-05-27 05:21:59 UTC
Confirmed with Arabic UI in Linux Mint with LibO 4.2 and 4.3 beta.
Comment 2 Commit Notification 2014-06-04 10:08:10 UTC
Abdulaziz A Alayed committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c6019d89314be0ff85acf29ae9115c153cf31562

fdo#79243 UI:fix preview in imageCorp tap in writer



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.